<?php
/**
* Member Care System for Joomla
*
* @package MCS
* @author Mohamed Abdelaziz
* @copyright Mohamed Abdelaziz <zizo@joomlareem.com>
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

class HTML_mcs {

	function showUsers( &$rows, $pageNav, $option, $reminderDays, $maxADays) {
		?>
		<form action="index2.php" method="post" name="adminForm">

		<table class="adminheading">
		<tr>
			<th class="user">
			<?php echo _LBL_RAEMAIL;?>
			</th>
		</tr>
		</table>
		<?php
			$daysList = array();
			$daysList[] = mosHTML::makeOption('0','---');
			for($i=1; $i<=$maxADays; $i++) $daysList[] = mosHTML::makeOption($i,$i);
			//$html = mosHTML::integerSelectList( 1, $maxADays, 1, 'reminderDays', 'size="1" class="inputbox" onchange="document.adminForm.submit( );"', $reminderDays);
			//$daysList = array_merge($daysList, $html);
			echo _SC_REMIDERED;
			echo mosHTML::selectList( $daysList, 'reminderDays', 'size="1" class="inputbox" onchange="document.adminForm.submit( );"', 'value', 'text',  $reminderDays );
			echo _SC_DAYS;
		?>
		<table class="adminlist">
		<tr>
			<th width="2%" class="title">
			#
			</th>
			<th width="3%" class="title">
			<input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows); ?>);" />
			</th>
			<th width="30%" class="title">
			<?php echo _LH_NAME; ?>
			</th>
			<th width="20%" class="title" >
			<?php echo _LH_UNAME; ?>
			</th>
			<th width="24%" class="title">
			<?php echo _LH_EMAIL; ?>
			</th>
			<th class="title">
			<?php echo _LH_REMINDERS; ?>
			</th>
			<th class="title">
			<?php echo _LH_LRDATE; ?>
			</th>
			<th class="title">
			<?php echo _LH_REGDATE; ?>
			</th>
			<th width="1%" class="title">
			<?php echo _LH_ID; ?>
			</th>
		</tr>
		<?php
		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row 	=& $rows[$i];

			$link 	= 'index2.php?option=com_mcs&amp;task=resend&amp;id='. $row->id. '&amp;hidemainmenu=1';
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $i+1+$pageNav->limitstart;?>
				</td>
				<td>
				<?php echo mosHTML::idBox( $i, $row->id ); ?>
				</td>
				<td>
				<a href="<?php echo $link; ?>">
				<?php echo $row->name; ?>
				</a>
				<td>
				<?php echo $row->username; ?>
				</td>
				<td>
				<a href="mailto:<?php echo $row->email; ?>">
				<?php echo $row->email; ?>
				</a>
				</td>
				<td>
				<?php echo $row->reminders; ?>
				</a>
				</td>
				<td nowrap="nowrap">
				<?php echo mosFormatDate( $row->lastReminderDate, _CURRENT_SERVER_TIME_FORMAT ); ?>
				</td>
				<td nowrap="nowrap">
				<?php echo mosFormatDate( $row->registerDate, _CURRENT_SERVER_TIME_FORMAT ); ?>
				</td>
				<td>
				<?php echo $row->id; ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</table>
		<?php echo $pageNav->getListFooter(); ?>

		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="inactive" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="hidemainmenu" value="0" />
		</form>
		<?php
	}


	function showAbsentUsers( &$rows, $pageNav, $option,$absentDays, $operator, $orderby, $sort,$maxADays,$neverLoggedIn) {
		global $my, $acl, $database, $mosConfig_offset;

		mosCommonHTML::loadOverlib();
		?>
	    <script type="text/javascript"><!--
	    function reorder(order, sort){
	    	document.adminForm.orderby.value=order;
	    	document.adminForm.ordering.value=sort;
	    	submitbutton('absent');
	    } //-->
	    </script>
		<form action="index2.php" method="post" name="adminForm">

		<table class="adminheading">
		<tr>
			<th class="user">
			<?php echo _LBL_INVITE;?>
			</th>
		</tr>
		</table>
<?php
$operators = array();
$operators[] = mosHTML::makeOption( 0,'<' );
$operators[] = mosHTML::makeOption( 1,'<=' );
$operators[] = mosHTML::makeOption( 2,'>' );
$operators[] = mosHTML::makeOption( 3,'>=' );
$operators[] = mosHTML::makeOption( 4,'=' );

?>
<table border="0" width="100%">
<tr>
<td>
<?php
	echo _SC_LASTVDATE;
	echo (mosHTML::selectList( $operators, 'operators', 'size="1" class="inputbox" onchange="document.adminForm.submit( );"', 'value', 'text', $operator ));
	echo (mosHTML::integerSelectList( 1, $maxADays, 1, 'absentDays', 'size="1" class="inputbox" onchange="document.adminForm.submit( );"', $absentDays));
	echo _SC_DAYSAGO;
?>
</td>
<td>
<?php
	echo _SC_NEVER_LOGGED;
	echo (mosHTML::yesnoRadioList( 'neverLoggedIn', 'class="inputbox" onclick="document.adminForm.submit( );"', $neverLoggedIn ));
?>
</td>
</tr>
</table>
		<table class="adminlist">
		<tr>
			<th width="2%" class="title">
			#
			</th>
			<th width="3%" class="title">
			<input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows); ?>);" />
			</th>
			<th width="15%" class="title">
			<a href="javascript:reorder('name', '<?php if($sort == "ASC" && $orderby == "name") { echo "DESC"; } else { echo "ASC"; } ?>');">
			<?php echo _LH_NAME;?></a>
			</th>
			<th width="10%" class="title" >
			<a href="javascript:reorder('username', '<?php if($sort == "ASC" && $orderby == "username") { echo "DESC"; } else { echo "ASC"; } ?>');">
			<?php echo _LH_UNAME;?></a>
			</th>
			<th width="15%" class="title">
			<?php echo _LH_EMAIL;?>
			</th>
			<th width="10%" class="title">
			<a href="javascript:reorder('neverLogIn', '<?php if($sort == "ASC" && $orderby == "neverLogIn") { echo "DESC"; } else { echo "ASC"; } ?>');">
			<?php echo _LH_NEVER_LOGGED;?></a>
			</th>
			<th width="10%" class="title">
			<a href="javascript:reorder('absentDays', '<?php if($sort == "ASC" && $orderby == "absentDays") { echo "DESC"; } else { echo "ASC"; } ?>');">
			<?php echo _LH_ADAYS;?></a>
			</th>
			<th class="title">
			<?php echo _LH_INVITS;?>
			</th>
			<th class="title" >
			<?php echo _LH_LIDATE;?>
			</th>
			<th class="title" >
			<a href="javascript:reorder('registerDate', '<?php if($sort == "ASC" && $orderby == "registerDate") { echo "DESC"; } else { echo "ASC"; } ?>');">
			<?php echo _LH_REGDATE;?></a>
			</th>
			<th class="title">
			<a href="javascript:reorder('lastvisitDate', '<?php if($sort == "ASC" && $orderby == "lastvisitDate") { echo "DESC"; } else { echo "ASC"; } ?>');">
			<?php echo _LH_LASTVDATE;?></a>
			</th>
			<th class="title">
			<?php echo _LH_ID;?>
			</th>
		</tr>
		<?php
		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row 	=& $rows[$i];

			$link 	= 'index2.php?option=com_mcs&amp;task=invite&amp;id='. $row->id. '&amp;hidemainmenu=1';
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $i+1+$pageNav->limitstart;?>
				</td>
				<td>
				<?php echo mosHTML::idBox( $i, $row->id ); ?>
				</td>
				<td>
				<a href="<?php echo $link; ?>">
				<?php echo $row->name; ?>
				</a>
				<td>
				<?php echo $row->username; ?>
				</td>
				<td>
				<a href="mailto:<?php echo $row->email; ?>">
				<?php echo $row->email; ?>
				</a>
				</td>
				<td align="center">
				<?php echo ($row->lastvisitDate < $row->registerDate) ? '<img src="images/tick.png" width="12" height="12" border="0" alt="" />': ''; ?>
				</td>
				<td>
				<?php echo $row->absentDays; ?>
				</td>
				<td>
				<?php echo $row->invites; ?>
				</td>
				<td nowrap="nowrap">
				<?php echo mosFormatDate( $row->lastInviteDate, _CURRENT_SERVER_TIME_FORMAT ); ?>
				</td>
				<td nowrap="nowrap">
				<?php echo mosFormatDate( $row->registerDate, _CURRENT_SERVER_TIME_FORMAT ); ?>
				</td>
				<td nowrap="nowrap">
				<?php echo mosFormatDate( $row->lastvisitDate, _CURRENT_SERVER_TIME_FORMAT ); ?>
				</td>
				<td>
				<?php echo $row->id; ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</table>
		<?php echo $pageNav->getListFooter(); ?>

		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="absent" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="hidemainmenu" value="0" />
		<input type="hidden" name="orderby" value="<?php echo $orderby; ?>" />
		<input type="hidden" name="ordering" value="<?php echo $sort; ?>" />
		</form>
		<?php
	}

	function settings( $option, &$params, $id ) {
		global $mosConfig_live_site;
		?>
		<script type="text/javascript" src="<?php echo $mosConfig_live_site;?>/includes/js/overlib_mini.js"></script>
		<div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
		<form action="index2.php" method="post" name="adminForm">
		<table style="width:75%;" class="adminheading">
		<tr>
			<th class="config">
			Resend Activation Email: Configuration Panel
			</th>
		</tr>
		</table>

		<table style="width:75%;" class="adminform">
		<tr>
			<th>
			Parameters
			</th>
		</tr>
		<tr>
			<td>
			<?php
			echo $params->render();
			?>
			</td>
		</tr>
		</table>

		<input type="hidden" name="id" value="<?php echo $id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option ?>" />
		<input type="hidden" name="task" value="" />
		</form>
		<?php
	}
}
?>
